Contenu | Rechercher | Menus

Annonce

Si vous rencontrez des soucis à rester connecté sur le forum (ou si vous avez perdu votre mot de passe) déconnectez-vous et reconnectez-vous depuis cette page, en cochant la case "Me connecter automatiquement lors de mes prochaines visites".
nombre réponses : 25

#0 Re : -1 »  installation clash of clans sous xubuntu » Hier à 13:46

abelthorne
Réponses : 34
bishop a écrit :

Tu devrais voir vmx ou svm s'afficher en couleur. Si c'est le cas, c'est bon, ton processeur supporte la virtualisation.

Avec ta commande, grep ne cherche que "vmx", pas "svm". Si un CPU gérant SVM convient, il faudrait plutôt faire le grep sur "vm".

(Après, j'y connais rien techniquement en virtualisation, je note juste que cpuinfo ne voit pas de "vmx" sur mon CPU mais il y a du "svm" et j'utilise régulièrement Virtualbox pour tester des distros Linux, voire de l'Android.)

#1 Re : -1 »  installation clash of clans sous xubuntu » Hier à 19:43

abelthorne
Réponses : 34

Il n'y a pas des émulateurs Android qui ne nécessite pas de passer par un vrai Android virtualisé ? Il me semble qu'un copain utilise un truc dans le genre sur Windows, je ne sais pas ce qu'il en est sur Linux.

#2 Re : -1 »  installation clash of clans sous xubuntu » Hier à 20:55

abelthorne
Réponses : 34

Si j'ai bien compris, c'est un jeu exclusivement disponible sur smartphones & tablettes (Android ou iOS). Dans le meilleur des cas, il est éventuellement possible de faire tourner un Android sur Linux pour le jeu (la solution proposée par bishop et Caribou22) mais ça reste de la bidouille, le jeu n'est pas censé tourner sur Linux à la base.

#3 Re : -1 »  Wine et Catalyst (fglrx) incompatibles ? » Le 18/03/2015, à 12:38

abelthorne
Réponses : 12

En tout cas, d'après les commentaires récents du rapport de bug qui concerne le paquet fglrx, le problème n'est toujours pas réglé pour Vivid (15.04). En espérant qu'il le soit prochainement...

#4 Re : -1 »  Wine et Catalyst (fglrx) incompatibles ? » Le 24/03/2015, à 13:51

abelthorne
Réponses : 12

Pour ce qui est des paquets des dépôts, le problème vient du fait que les développeurs d'Ubuntu ont − pour une raison qui m'échappe − décidé de sortir une bibli des paquets des pilotes pour la mettre dans un paquet indépendant. Sauf que ça rentre en conflit avec Wine. Il a donc fallu corriger les paquets de Wine (c'est fait, aussi dans le PPA), de l'installeur nVidia (fait aussi) et de l'installeur ATI (pas encore fait). Aux dernières nouvelles, la priorité était de régler ça pour Ubuntu 15.04 puis de backporter les modifs vers les versions 14.10 et 14.04. Mais ça a l'air de poser problème pour l'installeur ATI. Donc il faut attendre que ce soit réglé puis que les modifs soient portées sur les dépôts 14.10 et 14.04. En espérant que ça ne dépasse pas la deadline pour Ubuntu 15.04, que le backport ne soit pas abandonné...

Bref, on est dans le flou le plus total.

Bien sûr, après, il faut encore qu'AMD adopte les modifs pour ses propres paquets quand on installe les pilotes manuellement et ça, c'est pas gagné non plus.

#5 Re : -1 »  Starcraft 2 ne marche pas » Le 21/03/2015, à 18:00

abelthorne
Réponses : 30
Watman a écrit :

Ensuite oui je savais que la AMD est meilleure que la Intel mais je ne sais pas comment "désactiver" la Intel quand je lance un jeu.

Voir dans la doc : https://doc.ubuntu-fr.org/amd-ati (section systèmes hybrides). Je n'ai jamais testé, n'ayant pas de matériel de ce genre, mais apparemment si tu utilises le pilote proprio Catalyst, le basculement devrait se faire automatiquement.

Note que le message d'erreur "mémoire graphique insuffisante" peut aussi apparaître si la quantité de mémoire de la CG n'est pas indiquée manuellement dans la base de registre. Sélectionne ton jeu dans POL, trouve regedit quelque part dans ses menus (je ne sais plus où) puis va sur la branche HKEY_CURRENT_USER → Software → Wine → Direct3D et modifie/crée la clé VideoMemorySize (de type chaîne) pour lui donner la valeur de la mémoire de ta carte en Mo (si elle a 1 Go, par exemple, tu mets 1024).

#6 Re : -1 »  Starcraft 2 ne marche pas » Le 21/03/2015, à 23:51

abelthorne
Réponses : 30
Watman a écrit :

Ensuite je n'ai pas eu besoin d'utiliser Wine pour l'instant, mais je retiens le conseil au cas où ^^

POL utilise de toute façon Wine, qu'il installe au passage s'il ne l'est pas. C'est essentiellement une interface graphique pour simplifier l'utilisation de Wine, en fait.

#7 Re : -1 »  Starcraft 2 ne marche pas » Le 22/03/2015, à 19:50

abelthorne
Réponses : 30

Si. Parce que le jeu (Windows) utilise Direct3D (DirtectX). Sur Linux, on utilise OpenGL. Wine doit donc traduire à la volée tout ce qui est Direct3D en OpenGL, ce qui peut déjà bouffer un peu les perfs. Idem pour tout le reste de Windows à simuler, tout n'est pas forcément aussi performant. Sur certains jeux, ça ne pose pas de problèmes (notamment quand ils ont un moteur natif OpenGL), il y en a même quelques-uns qui ont de meilleures perfs sur Linux. Mais StarCraft 2 est connu pour avoir des performances bien moins bonnes avec Wine qu'en natif.

Ceci sans parler du fait que les pilotes graphiques eux-mêmes ne sont pas forcément de la même qualité sur Linux que sur Windows. En particulier AMD (ATI). Là aussi ça joue, sauf que ça concerne tous les jeux, pas seulement ceux pour Windows lancés avec Wine.

De toute façon, tu vas bien voir par toi-même, avec les mêmes options graphiques que celles que tu utilises sur Windows, comment tourne Starcraft 2 sur Linux sur ton PC.

#8 Re : -1 »  Starcraft 2 ne marche pas » Le 22/03/2015, à 22:07

abelthorne
Réponses : 30

Quelle version de Wine ? (wine --version)
Quel pilote graphique utilisé ? (libre ou proprio)

C'est possible que ça vienne de ton matos hybride si c'est la puce Intel qui est utilisée par Battle.net. Il avait des problèmes d'affichage il n'y a pas très longtemps, corrigés par une mise à jour du pilote Intel. Et comme les pilotes ne sont pas mis à jour dans le cycle de vie d'une version d'Ubuntu, et que tu es en 14.04, c'est probable que tu aies un pilote un peu vieux et buggé.
Idéalement, il faudrait installer Catalyst et forcer Battle.net à utiliser la puce AMD pour en avoir le cœur net. Mais là, ça sort de mes compétences.

#9 Re : -1 »  Starcraft 2 ne marche pas » Le 23/03/2015, à 19:52

abelthorne
Réponses : 30

Je ne sais pas si c'est à cause de ta config un peu spécifique, tu as quoi dans le gestionnaire de pilotes ? Logiquement, tu devrais avoir le pilote libre X.org (Mesa/Radeon ou RadeonSi) et le pilote proprio fglrx et fglrx-updates (Catalyst). Pour la partie Intel, je ne sais pas trop, sachant qu'il n'y a qu'un pilote libre (Mesa aussi, donc).

Il y a aussi la possibilité d'installer Catalyst manuellement depuis le site d'ATI mais c'est pas forcément conseillé (parce que ça se gère manuellement aussi et qu'il ne faut pas mélanger avec les pilotes des dépôts, donc bien faire attention à les désinstaller proprement avant une mise à jour vers une nouvelle version d'Ubuntu, par exemple, ou quand on veut installer une version plus récente de Catalyst, etc.). Et là encore, je ne sais pas si c'est adapté à ta config hybride.

Tu peux essayer de commencer par installer la version de développement de Wine (branche 1.7.x) via le PPA dédié : https://doc.ubuntu-fr.org/wine#par_les_depots_de_wine
Logiquement, Battle.net marche à peu près bien avec la version 1.6.x donc il y a peu de chances que ça résolve ton problème. Mais on ne sait jamais. De toute façon, c'est mieux d'avoir la dernière version de Wine en général.
Une fois le PPA ajouté et les dépôts rechargés (sudo apt-get update), supprime les paquets wine et wine1.6 (sudo apt-get remove wine wine1.6) pour installer le paquet wine1.7 à la place (sudo apt-get install wine1.7).

#10 Re : -1 »  Starcraft 2 ne marche pas » Le 23/03/2015, à 22:44

abelthorne
Réponses : 30

Dans un terminal, qu'est-ce que ça donne avec sudo apt-get install fglrx mais sans valider quand il te demande o/n ; qu'est-ce qu'il te dit à propos des paquets qui vont être installés/supprimés ?

#11 Re : -1 »  Starcraft 2 ne marche pas » Le 24/03/2015, à 13:44

abelthorne
Réponses : 30

C'est pas bon, ça. Tu as essayé d'utiliser un PPA en rapport avec les pilotes graphiques (oibaf, xorg-edgers...) ? ou tenté d'installer des pilotes manuellement ?

Est-ce que tu peux copier le contenu de ton fichier /etc/apt/sources.list (tu peux l'ouvrir avec un éditeur de texte : gedit /etc/apt/sources.list) et du dossier /etc/apt/sources.list.d (ls /etc/apt/sources.list.d) ?

#12 Re : -1 »  Starcraft 2 ne marche pas » Le 24/03/2015, à 18:41

abelthorne
Réponses : 30

Pour sources.list.d, c'est normal, c'est un dossier donc tu affiches juste la liste des fichiers qu'il y a dedans (fichiers de sources externes .list). Pas besoin de creuser plus loin, tu as juste celui de Wine et c'est inutile d'afficher son contenu.
En revanche, ton sources.list est un peu bizarre sur la fin. Ouvre-le en admin (sudo gedit /etc/apt/sources.list) et remplace le dernier paragraphe par ça (sans toucher au reste) :

## This software is not part of Ubuntu, but is offered by third-party
## developers who want to ship their latest software.
deb http://extras.ubuntu.com/ubuntu trusty main
deb-src http://extras.ubuntu.com/ubuntu trusty main

Ce sont surtout les lignes avec lsb_release dedans qui n'ont rien à faire là.

Après, tu enregistres et tu fais un sudo apt-get update pour être à jour. Tu pourras ensuite aller dans les paramètres système -> logiciels et mises à jour pour réactiver le dépôt partner qui aura sauté au passage (si tu en as l'utilité).

Bon, cela dit, ces corrections ne devraient pas du tout résoudre ton problème. C'est possible qu'il vienne du fait que tu es en 14.04.2. Donne-voir le résultat des deux commandes suivantes :

uname -a
sudo apt-cache policy xserver-xorg-core

#13 Re : -1 »  Starcraft 2 ne marche pas » Le 24/03/2015, à 23:27

abelthorne
Réponses : 30

C'est curieux : dans ton sources.list, il y a le DVD d'Ubuntu 14.04.2 de défini. Logiquement, ça correspond au média d'installation. Mais ce n'est pas très important.

Tu es en noyau 3.16, ce qui tendrait à confirmer que c'est la 14.04.2 (qui a le noyau d'Ubuntu "Utopic" 14.10, alors que la 14.04 et 14.04.1 est en noyau 3.13). Mais ce qui m'étonne le plus, c'est que tu n'as pas le paquet xserver-xorg-core d'installé.

On va sortir de mon domaine de compétence, là. Est-ce que par hasard tu te souviens de quel tuto tu as suivi pour tenter d'installer un autre pilote ?

#14 Re : -1 »  Starcraft 2 ne marche pas » Le 25/03/2015, à 11:19

abelthorne
Réponses : 30

Si j'ai bien compris, le pilote proprio apparaît dans le gestionnaire de pilotes mais n'est pas installable. Ce qui est confirmé par le conflit de paquets en essayant d'installer fglrx via apt-get. Conflit de paquets qui, d'après les infos que j'ai trouvées (mais qui concernaient surtout Debian) viendrait d'un conflit entre cette vieille version de Catalyst et X 1.16. Sauf que Watman a apparemment X 1.15 dans les dépôts et xserver-xorg-core n'est même pas installé (je ne sais pas si c'est normal). Alors est-ce que cette version de Catalyst est aussi incompatible avec le noyau 3.16 (qui n'est pas installé avec les mises à jour d'une Ubuntu 14.04.1 à moins de passer en hardware enablement stack − je ne sais pas ce qu'il en est quand on installe directement Ubuntu 14.04.2) indépendamment de la version de X... ?

#15 Re : -1 »  Starcraft 2 ne marche pas » Le 25/03/2015, à 13:49

abelthorne
Réponses : 30
Watman a écrit :

Mais comme la dit SilentStorm si SC2 lag cela ne sert à rien d'y jouer, la micro est totalement impossible à faire avec du lag.

Oui mais bon, avec le pilote non installable à cause de ces conflits, ça risque de te poser problème pour d'autres jeux.

PS : Est ce que vous savez si Blizzard envisage de l'adapter à linux ? J'ai peu d'espoir mais bon ^^

Non : il y a peut-être deux ans, il était question de sortir un jeu pour Linux mais sans plus de précisions et pas de nouvelles à ce propos depuis. Dernièrement, quelqu'un a lancé un sondage sur les forums de Blizzard pour évaluer la demande pour des jeux Linux mais la réponse de Blizzard a été que le marché était trop petit. Donc rien de prévu pour le moment à moins d'une grosse surprise.
https://www.gamingonlinux.com/articles/ … ponse.5080

#16 Re : -1 »  Starcraft 2 ne marche pas » Le 25/03/2015, à 19:04

abelthorne
Réponses : 30

Si ça ne te coûte rien (pas trop de choses à sauvegarder), tu peux essayer. Il faut juste espérer qu'Ubuntu 14.04.2 de base installe bien le noyau 3.13 (et X.org 1.15) et pas les versions plus à jour. Ou tenter l'alpha d'Ubuntu 15.04 mais à un mois de la sortie, il doit y avoir encore pas mal de problème divers et des mises à jour sans arrêt.

#17 Re : -1 »  Starcraft 2 ne marche pas » Le 25/03/2015, à 19:27

abelthorne
Réponses : 30

Je ne suis pas sûr que ce soit très pertinent d'utiliser une aussi vieille version de Wine. J'aurais tendance à penser que c'est un vieux script qui n'a pas été mis à jour depuis des années.

EDIT : c'est possible que ce soit pour StarCraft 1, non ? Vu qu'il y a des réglages spécifiques à faire pour lui avec Wine (notamment pour l'affichage) et il me semble qu'il utilisait l'ancienne version de Battle.net (comme Diablo 2), d'où probablement le nom du script.

#18 Re : -1 »  diablov3 ROS ubuntu 14.04 lts » Le 24/03/2015, à 18:57

abelthorne
Réponses : 6

À priori, il te demande si tu veux l'installer via le DVD ou via l'installeur dématérialisé de Battle.net.

Bien entendu, il faut que tu possèdes le jeu...

#19 Re : -1 »  diablov3 ROS ubuntu 14.04 lts » Le 24/03/2015, à 23:29

abelthorne
Réponses : 6

Oh, si tu avais déjà un Battle.net & Diablo 3 d'installé, aucun souci. Je pensais que tu voulais forcément passer par POL.

#20 Re : -1 »  diablov3 ROS ubuntu 14.04 lts » Le 25/03/2015, à 12:23

abelthorne
Réponses : 6

Si tu préfères passer par POL, le plus simple/propre serait à mon avis de faire comme ça :
1) Réinstalle Battle.net via POL (je ne sais pas s'il y a un script dédié ou s'il faut le faire manuellement)
2) Copie / déplace le dossier de Diablo 3 au bon endroit dans le disque virtuel de POL pour Battle.net (de mémoire, POL les stocke dans un dossier PlayOnLinux dans ton dossier perso)
3) Lance Battle.net via POL et indique-lui où se trouvent les données du jeu s'il ne les trouve pas tout seul

Comme les jeux Blizzard sont assez tolérants sur la copie des données en vrac (ils n'utilisent pas ou peu la base de registre), ça devrait fonctionner. Tu pourras ensuite virer le dossier .wine qu'il y a dans ton dossier perso si tu n'as rien installé d'autre directement avec Wine.

#21 Re : -1 »  [BUNDLE] Humble Bundle (HB PC & Android 12) » Le 19/03/2015, à 19:09

abelthorne
Réponses : 515

Humble Bundle hebdo Roguelikes 2 :
- A Wizard's Lizard (DRM-free + Steam)
- The Nightmare Cooperative (Steam)
En payant au moins la moyenne :
- Delver (Steam / Early Access)
En payant au moins 8 $ :
- Heavy Bullets (DRM-free + Steam)

#22 Re : -1 »  [BUNDLE] Humble Bundle (HB PC & Android 12) » Le 24/03/2015, à 19:14

abelthorne
Réponses : 515

Rajout de trois jeux dans le HB PC & Android 12 (tranche "au moins la moyenne") :
- Eufloria HD
- Solar Flux
- Toast Time

#23 Re : -1 »  comment installer wow sur ubuntu 14.04 » Le 19/03/2015, à 19:31

abelthorne
Réponses : 5

Pour l'installation, le plus simple est d'installer Battle.net et de télécharger les données du jeu depuis celui-ci. C'est pour le lancer que c'est un peu plus compliqué puisqu'il est possible que le jeu freeze à l'écran de sélection du personnage. À priori, la version 64 bits ne marche pas, il vaut mieux aller dans les options de Battle.net pour lui dire d'utiliser le client 32 bits. Et si ça ne marche pas mieux, il faut lancer manuellement l'exécutable de WoW au lieu de le faire depuis Battle.net (lancer le Wow.exe qui se trouve dans le dossier du jeu avec Wine).

Selon ta puce graphique et le pilote utilisé, les perfs DirectX 9 seront peut-être mauvaises. On peut lancer le jeu en OpenGL (mais il sera alors moins beau) en allant éditer le fichier Config.wtf qui est dans le dossier WTF du jeu pour modifier remplacer l'option SET gxApi "OpenGL"

#24 Re : -1 »  comment installer wow sur ubuntu 14.04 » Le 19/03/2015, à 21:43

abelthorne
Réponses : 5

Quelle version de Wine ? (wine --version dans un terminal)
Quel type de puce graphique sur ton PC ? (dans le doute : lspci | grep VGA dans un terminal)
Quel pilote graphique utilisé ? (dans les paramètres système -> Logiciels & mises à jour -> Pilotes additionnels)